/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** BEDL_EDZ001
对账数据查询_银企直联 POST /api/PingAnELCP/EDZ001 */
export async function eDZ001(body: API.EDZ001Input, options?: API.RequestConfig) {
  return request<API.EDZ001Output>('/api/PingAnELCP/EDZ001', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_EDZ002
对账结果反馈_银企直联 POST /api/PingAnELCP/EDZ002 */
export async function eDZ002(body: API.EDZ002Input, options?: API.RequestConfig) {
  return request<API.EDZ002Output>('/api/PingAnELCP/EDZ002', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_ELCP07
月结单查询（新）_银企直联 POST /api/PingAnELCP/MonthlyStatementQueryNew */
export async function monthlyStatementQueryNew(
  body: API.MonthlyStatementQueryNewInput,
  options?: API.RequestConfig
) {
  return request<API.MonthlyStatementQueryNewOutput>('/api/PingAnELCP/MonthlyStatementQueryNew', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_ELCP08
当日PDF回单文件查询接口（新）_银企直联 POST /api/PingAnELCP/QueryInterfaceOfPDFReturnSingleFileOnSameDayNew */
export async function queryInterfaceOfPDFReturnSingleFileOnSameDayNew(
  body: API.QueryInterfaceOfPDFReturnSingleFileOnSameDayNewInput,
  options?: API.RequestConfig
) {
  return request<API.QueryInterfaceOfPDFReturnSingleFileOnSameDayNewOutput>(
    '/api/PingAnELCP/QueryInterfaceOfPDFReturnSingleFileOnSameDayNew',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_ELC009
当日历史回单数据查询接口_银企直联 POST /api/PingAnELCP/SameDayHistoryReceiptDataQuery */
export async function sameDayHistoryReceiptDataQuery(
  body: API.SameDayHistoryReceiptDataQueryInput,
  options?: API.RequestConfig
) {
  return request<API.SameDayHistoryReceiptDataQueryOutput>(
    '/api/PingAnELCP/SameDayHistoryReceiptDataQuery',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_ELC001
回单数据查询_银企直联 POST /api/PingAnELCP/SingleDataQuery */
export async function singleDataQuery(body: API.SingleDataQueryInput, options?: API.RequestConfig) {
  return request<API.SingleDataQueryOutput>('/api/PingAnELCP/SingleDataQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_ELCP10
单笔或多笔回单PDF合并下载（新）_银企直联 POST /api/PingAnELCP/SingleOrBatchReceiptPDFMergeDownloadNew */
export async function singleOrBatchReceiptPDFMergeDownloadNew(
  body: API.SingleOrBatchReceiptPDFMergeDownloadNewInput,
  options?: API.RequestConfig
) {
  return request<API.SingleOrBatchReceiptPDFMergeDownloadNewOutput>(
    '/api/PingAnELCP/SingleOrBatchReceiptPDFMergeDownloadNew',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
